Summary:	SELinux binary policy manipulation library
Summary(pl.UTF-8):	Biblioteka do obróbki polityk SELinuksa w postaci binarnej
Name:		libsepol
Version:	2.3
Release:	2
License:	LGPL v2.1+
Group:		Libraries
#git clone http://oss.tresys.com/git/selinux.git/
Source0:	http://userspace.selinuxproject.org/releases/current/%{name}-%{version}.tar.gz
# Source0-md5:	e47e8527b5d4ea971726c455f847efdd
URL:		http://userspace.selinuxproject.org/trac/wiki/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number of
utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary
policies. It is used by checkpolicy (the policy compiler) and similar
tools, as well as by programs like load_policy that need to perform
specific transformations on binary policies such as customizing policy
boolean settings.

%description -l pl.UTF-8
Security-enhanced Linux jest prototypem jądra Linuksa i wielu
aplikacji użytkowych o funkcjach podwyższonego bezpieczeństwa.
Zaprojektowany jest tak, aby w prosty sposób ukazać znaczenie
obowiązkowej kontroli dostępu dla społeczności linuksowej. Ukazuje
również jak taką kontrolę można dodać do istniejącego systemu typu
Linux. Jądro SELinux zawiera nowe składniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczeństwa systemu operacyjnego
Flask. Te elementy zapewniają ogólne wsparcie we wdrażaniu wielu typów
polityk obowiązkowej kontroli dostępu, włączając te wzorowane na: Type
Enforcement (TE), kontroli dostępu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

libsepol dostarcza API do obróbki polityk SELinuksa w postaci
binarnej. Jest używane przez checkpolicy (kompilator polityk) i
podobne narzędzia, a także przez programy w rodzaju load_policy,
potrzebne do wykonywania określonych przekształceń na binarnych
politykach, takich jak dostosowywanie logicznych ustawień polityki.

%package devel
Summary:	Header files used to build policy manipulation tools
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania narzędzi obrabiających politykę
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed for developing
applications that manipulate binary policies.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia aplikacji
obrabiających binarne polityki.

%package static
Summary:	Static version of libsepol library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libsepol
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libsepol library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libsepol.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	SHLIBDIR=$RPM_BUILD_ROOT/%{_lib}

# make symlink across / absolute
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libsepol.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libsepol.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) /%{_lib}/libsepol.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chkcon
%attr(755,root,root) %{_libdir}/libsepol.so
%{_pkgconfigdir}/libsepol.pc
%{_includedir}/sepol
%{_mandir}/man3/sepol_*.3*
%{_mandir}/man8/chkcon.8*
%{_mandir}/man8/genpolbools.8*
%{_mandir}/man8/genpolusers.8*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsepol.a
%changelog
* Tue Jul 07 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libsepol.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b265546
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jun 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 36e5cca
- updated to 2.3

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 8c2d89c
- updated to 2.2

* Tue Sep 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8be865f
- up to 2.1.9

* Wed May 23 2012 Jan Rękorajski <baggins@pld-linux.org> 9f89f9a
- 2.1.4

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e1cf1a3
- use rpmcppflags, too

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 63c2099
- up to 2.1.0

* Wed Jan 20 2010 amateja <amateja@pld-linux.org> 20b0dd8
- updated to 2.0.41

* Tue Sep 08 2009 amateja <amateja@pld-linux.org> bcc3d77
- updated to 2.0.38

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 45207c1
- updated to 2.0.37

* Mon May 11 2009 amateja <amateja@pld-linux.org> 3a27489
- updated to 2.0.36

* Fri Mar 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 596c8aa
- up to 2.0.32

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 84f9e91
- updated to 2.0.30

* Wed Apr 02 2008 zbyniu <zbyniu@pld-linux.org> 335d569
- up to 2.0.25

* Thu Sep 27 2007 zbyniu <zbyniu@pld-linux.org> 4d2a2d0
- in sources

* Thu Sep 27 2007 zbyniu <zbyniu@pld-linux.org> 3a062ed
- up to 2.0.11, patch0 now in sources

* Sun Apr 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> bccfd8a
- up to 2.0.1

* Fri Mar 02 2007 tommat <tommat@pld-linux.org> ac56bc4
- added multilib patch

* Fri Mar 02 2007 tommat <tommat@pld-linux.org> 387eef6
- pass CFLAGS when linking

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e12ada4
- tabs in preamble

